Runtime

## org.eclipse.gmf.runtime.draw2d.ui.figures
Class LabelEx

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.draw2d.Label
              org.eclipse.gmf.runtime.draw2d.ui.figures.LabelEx

All Implemented Interfaces:
  IFigure, PositionConstants

    public class LabelEx

extends Label

GEF's Label extended for use in GMF with mapping mode support and the following additional features:

- Provides selection and focus feedback.
- Provides support for underlined and striked-through text.

  Since:
    2.1

  Nested Class Summary

  Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure
  `Figure.FigureIterator, Figure.IdentitySearch`

  Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure
  `IFigure.NoInsets`

  Field Summary
  `protected static int` `MAX_FLAG` The largest flag defined in this class.

  Fields inherited from class org.eclipse.draw2d.Figure
  `bgColor, border, bounds, fgColor, flags, font, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

  Fields inherited from interface org.eclipse.draw2d.PositionConstants
  `ALWAYS_LEFT, ALWAYS_RIGHT, BOTTOM, CENTER, EAST, EAST_WEST, HORIZONTAL, LEFT, LEFT_CENTER_RIGHT, MIDDLE, NONE, NORTH, NORTH_EAST, NORTH_SOUTH, NORTH_WEST, NSEW, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TOP_MIDDLE_BOTTOM, VERTICAL, WEST`

  Fields inherited from interface org.eclipse.draw2d.IFigure
  `MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

  Constructor Summary
  `LabelEx()` Construct an empty Label.
  `LabelEx(Image i)` Construct a Label with passed Image as its icon.
  `LabelEx(java.lang.String s)` Construct a Label with passed String as its text.
  `LabelEx(java.lang.String s, Image i)` Construct a Label with passed String as text and passed Image as its icon.

  Method Summary
  `protected Dimension` `getIconSize()`
  `int` `getIconTextGap()`
  `TextUtilities` `getTextUtilities()`
  `boolean` `hasFocus()`
  `boolean` `isSelected()`
  `boolean` `isTextStrikedThrough()`
  `boolean` `isTextUnderlined()`
  `protected void` `paintFigure(Graphics graphics)`
  `void` `setFocus(boolean b)` Sets the focus state of this label
  `void` `setSelected(boolean b)` Sets the selection state of this label
  `void` `setTextStrikeThrough(boolean strikeThrough)` Sets whether the label text should be striked-through
  `void` `setTextUnderline(boolean underline)` Sets whether the label text should be underlined

  Methods inherited from class org.eclipse.draw2d.Label

  `calculateLabelSize, calculateSubStringTextSize, calculateTextSize, getIcon, getIconAlignment, getIconBounds, getIconLocation, getLabelAlignment, getMinimumSize, getPreferredSize, getSubStringText, getSubStringTextSize, getText, getTextAlignment, getTextBounds, getTextLocation, getTextPlacement, getTextSize, getTruncationString, invalidate, isTextTruncated, setIcon, setIconAlignment, setIconDimension, setIconTextGap, setLabelAlignment, setText, setTextAlignment, setTextPlacement`

  Methods inherited from class org.eclipse.draw2d.Figure

  `add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getParent, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, internalGetEventDispatcher, intersects, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates, validate`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Field Detail

  ### MAX_FLAG

      protected static final int MAX_FLAG

    The largest flag defined in this class. If subclasses define flags, they should declare them as larger than this value and redefine MAX_FLAG to be their largest flag value.

    See Also:
      `Figure.MAX_FLAG`

  Constructor Detail

  ### LabelEx

      public LabelEx()

    Construct an empty Label.

    Since:
      2.1

  ### LabelEx

      public LabelEx(java.lang.String s)

    Construct a Label with passed String as its text.

    Parameters:
      `s` - the label text
    Since:
      2.1

  ### LabelEx

      public LabelEx(Image i)

    Construct a Label with passed Image as its icon.

    Parameters:
      `i` - the label image
    Since:
      2.1

  ### LabelEx

      public LabelEx(java.lang.String s,
                     Image i)

    Construct a Label with passed String as text and passed Image as its icon.

    Parameters:
      `s` - the label text
      `i` - the label image
    Since:
      2.1

  Method Detail

  ### setTextStrikeThrough

      public void setTextStrikeThrough(boolean strikeThrough)

    Sets whether the label text should be striked-through

    Parameters:
      `b` - Whether the label text should be striked-through

  ### isTextStrikedThrough

      public boolean isTextStrikedThrough()

    Returns:
      whether the label text is striked-through

  ### setTextUnderline

      public void setTextUnderline(boolean underline)

    Sets whether the label text should be underlined

    Parameters:
      `b` - Whether the label text should be underlined

  ### isTextUnderlined

      public boolean isTextUnderlined()

    Returns:
      whether the label text is underlined

  ### setSelected

      public void setSelected(boolean b)

    Sets the selection state of this label

    Parameters:
      `b` - true will cause the label to appear selected

  ### isSelected

      public boolean isSelected()

    Returns:
      the selection state of this label

  ### setFocus

      public void setFocus(boolean b)

    Sets the focus state of this label

    Parameters:
      `b` - true will cause a focus rectangle to be drawn around the text of the Label

  ### hasFocus

      public boolean hasFocus()

    Specified by:
      `hasFocus` in interface `IFigure`
    Overrides:
      `hasFocus` in class `Figure`
    Returns:
      the focus state of this label

  ### paintFigure

      protected void paintFigure(Graphics graphics)

    Overrides:
      `paintFigure` in class `Label`

  ### getIconSize

      protected Dimension getIconSize()

    Overrides:
      `getIconSize` in class `Label`

  ### getIconTextGap

      public int getIconTextGap()

    Overrides:
      `getIconTextGap` in class `Label`

  ### getTextUtilities

      public TextUtilities getTextUtilities()

    Overrides:
      `getTextUtilities` in class `Label`

  Runtime

  Guidelines for using Eclipse APIs.

  Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.